跳至內容

Stable Diffusion 3.5 Large

整合

模型 id stable-diffusion-v35-large
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v35-large?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.065 65 API 點數 在此頁面執行

取得 API 金鑰
Stability AI 文字轉圖像 參考輸入 #diffusion#typography#style

文字轉圖像擴散 Transformer,支援負面提示詞、LoRA、ControlNet 與 IP-Adapter

Stability AI · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

引導圖像生成的提示詞。

image_size

輸出圖像尺寸。沒有 controlnet 時預設為 landscape_4_3;有 controlnet 時,預設值會符合其條件圖像尺寸。

num_images 預設 1

請求生成的圖像數量。

進階 negative_prompt · output_format · num_inference_steps · guidance_scale · seed · enable_safety_checker · controlnet · loras · ip_adapter
預設

指定要排除的圖像細節之負面提示詞,包括色彩、物件、景物或更細微的特徵。例如鬍鬚、模糊或低解析度。

output_format 預設 jpeg

生成圖像的檔案格式。

預設 28

要執行的推論步數。

預設 3.5

圖像選取的提示詞遵循強度,以 CFG (Classifier Free Guidance) 表示。

可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。

推論期間使用的 ControlNet。

預設 []

其組合效果會產生生成圖像的 LoRA,數量不限。

推論期間套用的 IP-Adapter。

POST /run/stable-diffusion-v35-large?wait=20 報價 → $0.065
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v35-large?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Stable Diffusion 3.5 Large

根據 `prompt` 產生圖像,可選擇使用 `negative_prompt`。接受 `loras`、`controlnet` 和 `ip_adapter` 以提供額外控制。可從六種 `image_size` 預設值中選擇,每次請求產生 1 到 4 張圖像,輸出為 jpeg 或 png。步驟數為 1 到 50,引導比例為 0 到 20。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
引導圖像生成的提示詞。
negative_prompt選填
類型string
預設值
指定要排除的圖像細節之負面提示詞,包括色彩、物件、景物或更細微的特徵。例如鬍鬚、模糊或低解析度。
num_inference_steps選填
類型integer
預設值28
1 – 50
要執行的推論步數。
seed選填
類型integer | null
可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。
guidance_scale選填
類型number
預設值3.5
0 – 20
圖像選取的提示詞遵循強度,以 CFG (Classifier Free Guidance) 表示。
num_images選填 num_outputs
類型integer
預設值1
1 – 4
請求生成的圖像數量。
enable_safety_checker選填
類型boolean
預設值true
安全檢查,會以黑色圖像取代任何被標記為不安全的圖像。true 會啟用檢查;false 僅對獲得授權的帳戶停用檢查,未獲授權的請求無論如何都會接受檢查。
output_format選填
類型enum
預設值jpeg
jpegpng
生成圖像的檔案格式。
controlnet選填
類型object
推論期間使用的 ControlNet。
controlnet.path必填
類型string
ControlNet 權重位置,可指定為 URL 或路徑。
controlnet.control_image_url必填
類型url · image
提供控制圖像的圖像 URL。
controlnet.conditioning_scale選填
類型number
預設值1
0 – 2
ControlNet 權重合併至基礎模型前套用的縮放。
controlnet.start_percentage選填
類型number
預設值0
0 – 1
ControlNet 開始影響圖像生成時所占總時間步的百分比。
controlnet.end_percentage選填
類型number
預設值1
0 – 1
ControlNet 停止影響圖像生成時所占總時間步的百分比。
image_size選填
類型object
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
輸出圖像尺寸。沒有 controlnet 時預設為 landscape_4_3;有 controlnet 時,預設值會符合其條件圖像尺寸。
loras選填
類型object[]
預設值[]
其組合效果會產生生成圖像的 LoRA,數量不限。
loras[].path必填
類型string
LoRA 權重的位置,以 URL 或路徑指定。
loras[].scale選填
類型number
預設值1
0 – 4
合併至基礎模型前套用至 LoRA 權重的倍數。
ip_adapter選填
類型object
推論期間套用的 IP-Adapter。
ip_adapter.path必填
類型string
Hugging Face 上的 IP-Adapter 位置。
ip_adapter.subfolder選填
類型string | null
包含 ip_adapter 權重的子資料夾。
ip_adapter.weight_name選填
類型string | null
IP-Adapter 權重的 Safetensors 檔名。
ip_adapter.image_encoder_path必填
類型string
IP-Adapter 圖像編碼器位置,例如 'openai/clip-vit-large-patch14'。
ip_adapter.image_encoder_subfolder選填
類型string | null
包含圖像編碼器權重的子資料夾。
ip_adapter.image_encoder_weight_name選填
類型string | null
圖像編碼器名稱。
ip_adapter.image_url必填
類型url · image
提供給 IP-Adapter 的條件圖像 URL。
ip_adapter.mask_image_url選填
類型url · image
與控制圖像相關聯的遮罩 URL。
ip_adapter.mask_threshold選填
類型number
預設值0.5
0.01 – 0.99
遮罩閾值。
ip_adapter.scale必填
類型number
IP-Adapter 縮放係數。
必填 標準名稱,也可使用

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-diffusion-v35-large",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 65,
    "usd": "0.065",
    "charged": 65,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, width, height, content_type}生成圖像的檔案資訊。
timings
object
seed
integer圖像生成種子;若輸入未提供種子,則包含隨機選取的值,否則會重複提供的值。
has_nsfw_concepts
array of boolean指出生成的圖像中是否出現 NSFW 概念。
prompt
string圖像生成期間使用的提示詞。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/stable-diffusion-v35-large.md. 所有模型與指南: https://doitong.com/developers/llms.txt